org.modeshape.sequencer.javafile.metadata

## Class EnumMetadata

- java.lang.Object
- - org.modeshape.sequencer.javafile.metadata.AbstractMetadata
  - - org.modeshape.sequencer.javafile.metadata.TypeMetadata
    - - org.modeshape.sequencer.javafile.metadata.EnumMetadata

-     public class EnumMetadata
      extends TypeMetadata

  Metadata for Java enums.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.sequencer.javafile.metadata.TypeMetadata

      `TypeMetadata.Type`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata

      `ABSTRACT, FINAL, name, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT_FP, SYNCRHONIZED, TRANSIENT, VOLATILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumMetadata(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getValues()`

    - ### Methods inherited from class org.modeshape.sequencer.javafile.metadata.TypeMetadata

      `classType, enumType, getFields, getInterfaceNames, getMethods, getSuperTypeName, getType, interfaceType, setSuperTypeName`

    - ### Methods inherited from class org.modeshape.sequencer.javafile.metadata.AbstractMetadata

      `getAnnotations, getModifiers, getName, hasAbstractModifier, hasFinalModifier, hasNativeModifier, hasPrivateVisibility, hasProtectedVisibility, hasPublicVisibility, hasStaticModifier, hasStrictFPModifier, hasSynchronizedModifier, hasTransientModifier, hasVolatileModifier, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumMetadata

          public EnumMetadata(String name)

  - ### Method Detail

    - #### getValues

          public List<String> getValues()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.